Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.cmd
Class StringOption

    java.lang.Object
      oracle.ifs.utils.cmd.StringOption

All Implemented Interfaces:
  CmdLineOption

    public class StringOption

extends java.lang.Object
implements CmdLineOption

The `StringOption` class models a command line option that may contain a string value. Includes options like: `-file file_name`. Here, the option key is "file", and the option value is "file_name".

See Also:
  `OptionParser`
Modified:
  jbaccash 07/26/2000 Created.

Field Summary
`java.lang.String` | `value` The value of the option as specified on the command line, or null if option not present.

Constructor Summary
`StringOption(java.lang.String key)` Creates a new string option.

Method Summary
`java.lang.String` | `getKey()` Returns the string that the `OptionParser` seeks on the command line in association with the `CmdLineOption`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.String value

  Description copied from class: `StringOption`
  The value of the option as specified on the command line, or null if option not present.

Constructor Detail

### StringOption

    public StringOption(java.lang.String key)

  Creates a new string option.

  Parameters:
    `key` - what the user types to set the option.
  See Also:
    `StringOption.getKey()`

Method Detail

### getKey

    public java.lang.String getKey()

  Description copied from interface: `CmdLineOption`
  Returns the string that the `OptionParser` seeks on the command line in association with the `CmdLineOption`. Initial '-' not included.

  Specified by:
    `getKey` in interface `CmdLineOption`
  See Also:
    `OptionParser`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD